#
#@(#) $Id: Makefile.config,v 1.10 2004/09/04 16:17:50 honda Exp $
# 

#
#  Makefile のプロセッサ依存 (SH3/4用)
#

#
#  ターゲットアーキテクチャの定義
#
TARGET = sh-hitachi-elf

#
#  コンパイルオプション
#
INCLUDES := $(INCLUDES) -I$(SRCDIR)/config/$(CPU) 
COPTS    := $(COPTS) -g -O2 
CDEFS    := $(CDEFS) -DLABEL_ASM

#
#  カーネルに関する定義
#
KERNEL_DIR     := $(KERNEL_DIR) $(SRCDIR)/config/$(CPU)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) cpu_support.o
KERNEL_COBJS   := $(KERNEL_COBJS) cpu_config.o


ifeq ($(DBGENV),PARTNER_J)
CDEFS    := $(CDEFS) -DNO_SLEEP
endif


#
#  スタートアップモジュールに関する定義
#
ifdef USE_CXX
  START_OBJS = start.o $(shell $(CC) $(COPTS) -print-file-name=crti.o | sed -e 's/\\/\//g') $(shell $(CC) $(COPTS) -print-file-name=crtbegin.o | sed -e 's/\\/\//g')
  END_OBJS   = $(shell $(CC) $(COPTS) -print-file-name=crtend.o | sed -e 's/\\/\//g') $(shell $(CC) $(COPTS) -print-file-name=crtn.o | sed -e 's/\\/\//g')
else
  START_OBJS = start.o
  END_OBJS   =
endif

$(START_OBJS):
$(START_OBJS:.o=.d):

start.o: start.S
	$(CC) -c $(CFLAGS) $(KERNEL_CFLAGS) $<

start.d: start.S
	@$(PERL) $(SRCDIR)/utils/makedep -C $(CC) \
        -O "$(CFLAGS) $(KERNEL_CFLAGS)" $< >> Makefile.depend

$(END_OBJS):
$(END_OBJS:.o=.d):

